# std::binary_negate< Predicate > Class Template Reference
[Negators]

One of the negation functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::binary_negate< Predicate >:

[legend]
Collaboration diagram for std::binary_negate< Predicate >:

[legend]
List of all members.

## Public Types

typedef Predicate::first_argument_type | first_argument_type
| the type of the first argument
typedef Predicate::second_argument_type | second_argument_type
| the type of the second argument
typedef bool | result_type
| type of the return type

## Detailed Description

### template<class Predicate>
class std::binary_negate< Predicate >

One of the negation functors.

Definition at line 334 of file stl_function.h.

## Member Typedef Documentation

typedef Predicate::first_argument_type std::binary_function< Predicate::first_argument_type , Predicate::second_argument_type , bool >::first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef bool std::binary_function< Predicate::first_argument_type , Predicate::second_argument_type , bool >::result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef Predicate::second_argument_type std::binary_function< Predicate::first_argument_type , Predicate::second_argument_type , bool >::second_argument_type `[inherited]`

| the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h